Voiceflow bearer token
Audit environment wiring
curl --request GET \
--url https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/audit-wiring \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/audit-wiring?projectID=<projectID>', {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.get(
'https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/audit-wiring?projectID=<projectID>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf environment audit-wiring --environment-alias <environmentAlias> --project-id <projectID>{
"audit": {
"phase1VarSetters": {},
"phase2OrphanDefaults": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"input": "<string>",
"defaultVar": "<string>",
"note": "<string>"
}
],
"phase3ShouldFulfillWithCanonicalSource": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"input": "<string>",
"suggestedDefaultVar": "<string>",
"note": "<string>"
}
],
"phase4UncapturedOutputs": [
{
"function": "<string>",
"output": "<string>",
"toolCount": 0,
"note": "<string>"
}
],
"phase5MalformedWiring": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"input": "<string>",
"issue": "<string>",
"current": "<string>",
"shouldBe": "<string>"
}
],
"phase6SuggestedCaptures": [
{
"function": "<string>",
"output": "<string>",
"suggestedVar": "<string>",
"currentCapturesTo": [
"<string>"
],
"note": "<string>"
}
],
"phase7SideEffectOnly": [
{
"function": "<string>",
"agents": [
"<string>"
],
"note": "<string>"
}
],
"phase8OrphanFunctions": [
{
"function": "<string>",
"inputCount": 0,
"outputCount": 0,
"note": "<string>"
}
],
"phase9ArgsSecretsReads": [
{
"function": "<string>",
"attachments": [
{
"agent": "<string>",
"toolID": "<string>"
}
],
"note": "<string>"
}
],
"phase10EmptyToolDescriptions": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"note": "<string>"
}
]
}
}Audit environment wiring
Check how tools, functions and variables connect.
Paste in your agent
1. Set up Voiceflow by following https://www.voiceflow.com/agents/setup 2. Read https://www.voiceflow.com/docs/api-reference/environment/audit-environment-wiring.md — the Voiceflow documentation page "Audit environment wiring". Use it to help me with this part of Voiceflow and answer my questions. Refer to https://www.voiceflow.com/docs/llms.txt if you need related documentation.
Prompt copied. Paste in your agent.
GET
/v1/stable/environment/{environmentAlias}/audit-wiring
Audit environment wiring
curl --request GET \
--url https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/audit-wiring \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/audit-wiring?projectID=<projectID>', {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.get(
'https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/audit-wiring?projectID=<projectID>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf environment audit-wiring --environment-alias <environmentAlias> --project-id <projectID>{
"audit": {
"phase1VarSetters": {},
"phase2OrphanDefaults": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"input": "<string>",
"defaultVar": "<string>",
"note": "<string>"
}
],
"phase3ShouldFulfillWithCanonicalSource": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"input": "<string>",
"suggestedDefaultVar": "<string>",
"note": "<string>"
}
],
"phase4UncapturedOutputs": [
{
"function": "<string>",
"output": "<string>",
"toolCount": 0,
"note": "<string>"
}
],
"phase5MalformedWiring": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"input": "<string>",
"issue": "<string>",
"current": "<string>",
"shouldBe": "<string>"
}
],
"phase6SuggestedCaptures": [
{
"function": "<string>",
"output": "<string>",
"suggestedVar": "<string>",
"currentCapturesTo": [
"<string>"
],
"note": "<string>"
}
],
"phase7SideEffectOnly": [
{
"function": "<string>",
"agents": [
"<string>"
],
"note": "<string>"
}
],
"phase8OrphanFunctions": [
{
"function": "<string>",
"inputCount": 0,
"outputCount": 0,
"note": "<string>"
}
],
"phase9ArgsSecretsReads": [
{
"function": "<string>",
"attachments": [
{
"agent": "<string>",
"toolID": "<string>"
}
],
"note": "<string>"
}
],
"phase10EmptyToolDescriptions": [
{
"toolID": "<string>",
"function": "<string>",
"agent": "<string>",
"note": "<string>"
}
]
}
}Authorizations
Response
200 - application/jsonOne list per check. Each entry names the function, agent or tool it is about and says why.
Show child attributes
Was this page helpful?
Thanks for your feedback.